<?php
/**
 * @copyright  Copyright (C) 2012 Daniel Calviño Sánchez
 * @copyright  Copyright (C) 2016 Daniel Calviño Sánchez
 * @license    GNU Affero General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('formbehavior.chosen', 'select');

$filterSearch = $this->filterSearch;
$listOrder = $this->listOrder;
$listDirn = $this->listDirection;
$sortFields = $this->getSortFields();
$pluginEnabled = $this->pluginEnabled;
?>
<?php if (!$pluginEnabled) : ?>
<div>
    <button type="button" class="close" data-dismiss="alert">&times;</button>

    <div class="alert">
        <?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_PLUGIN_NOT_ENABLED'); ?>
    </div>
</div>
<?php endif; ?>

<script type="text/javascript">
    Joomla.orderTable = function() {
        table = document.getElementById("sortTable");
        direction = document.getElementById("directionTable");
        order = table.options[table.selectedIndex].value;
        if (order != '<?php echo $listOrder; ?>') {
            dirn = 'asc';
        } else {
            dirn = direction.options[direction.selectedIndex].value;
        }
        Joomla.tableOrdering(order, dirn, '');
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_simplecustomrouter'); ?>" method="post" name="adminForm" id="adminForm">
    <div id="filter-bar" class="btn-toolbar">
        <div class="filter-search btn-group pull-left">
            <label for="filter_search" class="element-invisible"><?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_FILTER_SEARCH_DESC'); ?></label>
            <input type="text" name="filter_search" placeholder="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_FILTER_SEARCH_DESC'); ?>" id="filter_search" value="<?php echo $filterSearch; ?>" title="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_FILTER_SEARCH_DESC'); ?>" />
        </div>
        <div class="btn-group pull-left hidden-phone">
            <button class="btn tip hasTooltip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
            <button class="btn tip hasTooltip" type="button" onclick="document.id('filter_search').value='';this.form.submit();" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"><i class="icon-remove"></i></button>
        </div>
        <div class="btn-group pull-right hidden-phone">
            <label for="limit" class="element-invisible"><?php echo JText::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?></label>
            <?php echo $this->pagination->getLimitBox(); ?>
        </div>
        <div class="btn-group pull-right hidden-phone">
            <label for="directionTable" class="element-invisible"><?php echo JText::_('JFIELD_ORDERING_DESC'); ?></label>
            <select name="directionTable" id="directionTable" class="input-medium" onchange="Joomla.orderTable()">
                <option value=""><?php echo JText::_('JFIELD_ORDERING_DESC'); ?></option>
                <option value="asc" <?php if ($listDirn == 'asc') echo 'selected="selected"'; ?>><?php echo JText::_('JGLOBAL_ORDER_ASCENDING'); ?></option>
                <option value="desc" <?php if ($listDirn == 'desc') echo 'selected="selected"'; ?>><?php echo JText::_('JGLOBAL_ORDER_DESCENDING');  ?></option>
            </select>
        </div>
        <div class="btn-group pull-right">
            <label for="sortTable" class="element-invisible"><?php echo JText::_('JGLOBAL_SORT_BY'); ?></label>
            <select name="sortTable" id="sortTable" class="input-medium" onchange="Joomla.orderTable()">
                <option value=""><?php echo JText::_('JGLOBAL_SORT_BY');?></option>
                <?php echo JHtml::_('select.options', $sortFields, 'value', 'text', $listOrder); ?>
            </select>
        </div>
    </div>
    <div class="clearfix"></div>

    <?php if (empty($this->items) && empty($filterSearch)) : ?>
    <div class="alert alert-info alert-no-items">
        <?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_NO_ROUTES'); ?>
    </div>
    <?php elseif (empty($this->items)) : ?>
    <div class="alert alert-no-items">
        <?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_SEARCH_NO_RESULTS'); ?>
    </div>
    <?php else : ?>
    <table id="routeList" class="table table-striped">
        <thead><?php echo $this->loadTemplate('head');?></thead>
        <tfoot><?php echo $this->loadTemplate('foot');?></tfoot>
        <tbody><?php echo $this->loadTemplate('body');?></tbody>
    </table>
    <?php endif; ?>

    <div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
        <?php echo JHtml::_('form.token'); ?>
    </div>
</form>
