<?php
/**
 * @copyright  Copyright (C) 2012 Daniel Calviño Sánchez
 * @copyright  Copyright (C) 2016 Daniel Calviño Sánchez
 * @license    GNU Affero General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');

$generatedQuery = $this->generatedQuery;
if (!empty($this->path) && empty($generatedQuery)) {
    $generatedQuery = JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_NO_GENERATED_QUERY');
}

$generatedPath = $this->generatedPath;
if (!empty($this->query) && empty($generatedPath)) {
    $generatedPath = JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_NO_GENERATED_PATH');
}
?>

<!-- The toolbar needs an adminForm to work, as the buttons created by Joomla do
     not link directly to an URL, but to the Javascript function
     Joomla.submitbutton passing the task to be executed. That method calls
     Joomla.submitform, which submits the adminForm button overriding its task
     with the given one. -->
<form action="<?php echo JRoute::_('index.php?option=com_simplecustomrouter', false); ?>" method="post" name="adminForm" id="adminForm">
    <div>
        <input type="hidden" name="task"/>
    </div>
</form>

<div>
    <form action="<?php echo JRoute::_('index.php?option=com_simplecustomrouter', false); ?>" method="post" id="test-path-form" class="form-horizontal">
        <div>
            <fieldset>
                <div class="control-group">
                    <div class="control-label">
                        <label for="path" title="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_PATH_DESC'); ?>" class="hasTip"><?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_PATH_LABEL'); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="path" id="path" value="<?php echo $this->path; ?>" size="100" class="input-xxlarge"/>
                        <input type="submit" name="Submit" class="btn" value="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_TEST_BUTTON'); ?>"/>
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <p><?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_GENERATED_QUERY_LABEL'); ?></p>
                    </div>
                    <div class="controls">
                        <p id="generated-query"><?php echo $generatedQuery; ?></p>
                    </div>
                </div>
            </fieldset>
        </div>

        <div>
            <input type="hidden" name="task" value="test.testPath"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </form>
</div>

<hr/>

<div>
    <form action="<?php echo JRoute::_('index.php?option=com_simplecustomrouter', false); ?>" method="post" id="test-query-form" class="form-horizontal">
        <div>
            <fieldset>
                <div class="control-group">
                    <div class="control-label">
                        <label for="query" title="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_QUERY_DESC'); ?>" class="hasTip"><?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_QUERY_LABEL'); ?></label>
                    </div>
                    <div class="controls">
                        <input type="text" name="query" id="query" value="<?php echo $this->query; ?>" size="100" class="input-xxlarge"/>
                        <input type="submit" name="Submit" class="btn" value="<?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_TEST_BUTTON'); ?>"/>
                    </div>
                </div>
                <div class="control-group">
                    <div class="control-label">
                        <p><?php echo JText::_('COM_SIMPLECUSTOMROUTER_ROUTES_TEST_FIELD_GENERATED_PATH_LABEL'); ?></p>
                    </div>
                    <div class="controls">
                        <p id="generated-path"><?php echo $generatedPath; ?></p>
                    </div>
                </div>
            <fieldset>
        </div>

        <div>
            <input type="hidden" name="task" value="test.testQuery"/>
            <?php echo JHtml::_('form.token'); ?>
        </div>
    </form>
</div>
