<?php
/**
 * @copyright  Copyright (C) 2012 Daniel Calviño Sánchez
 * @copyright  Copyright (C) 2014 Daniel Calviño Sánchez
 * @copyright  Copyright (C) 2015 Daniel Calviño Sánchez
 * @license    GNU Affero General Public License version 3 or later; see LICENSE.txt
 */

// Define expected Joomla constants.
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);

define('JPATH_BASE', dirname(dirname(dirname(__FILE__))));

// Include relative constants, JLoader and the jimport and jexit functions.
require_once JPATH_BASE.'/includes/defines.php';
require_once JPATH_LIBRARIES.'/import.php';

require_once JPATH_LIBRARIES.'/cms/version/version.php';

$jversion = new JVersion;
if (version_compare($jversion->getShortVersion(), '3.4', 'ge')) {
    // In Joomla! 3.4.0 and later, JFactory::getConfig uses the Joomla! vendor
    // Registry.
    require_once JPATH_LIBRARIES.'/vendor/joomla/registry/src/Registry.php';
} else if (version_compare($jversion->getShortVersion(), '3.3', 'ge')) {
    // In Joomla! 3.3.0 and later, Platform JRegistry has been replaced by
    // Framework Registry. However, JRegistry is still used in
    // JFactory::getConfig, so the alias must be registered in order to be found
    // by the JLoader.
    require_once JPATH_LIBRARIES.'/framework/Joomla/Registry/Registry.php';
    JLoader::registerAlias('JRegistry', '\\Joomla\\Registry\\Registry');
}

//Needed to get the proper configuration file, as "config.php" is used by
//default by JFactory
JFactory::getConfig(JPATH_BASE."/configuration.php");

$action = $_REQUEST['action'];

if ($action === 'backup') {
    backup();
} else if ($action === 'restore') {
    restore();
}

function backup() {
    $output = shell_exec('cp -f '.JPATH_BASE.'/configuration.php configuration.php.bak && echo OK');
    if (empty($output)) {
        echo "Configuration backup error";
        return;
    }

    $conf = JFactory::getConfig();

    //Use mysqldump instead of copying and renaming tables as it does not
    //preserve things like foreign keys (at least, not automatically). Even
    //primary keys are not preserved if not copied using
    //"CREATE TABLE ... LIKE" syntax.
    $output = shell_exec('mysqldump -u '.$conf->get('user').' -p'.$conf->get('password').' '.$conf->get('db').' > '.JPATH_BASE.'/tests/system/dump.sql && echo OK');
    if (empty($output)) {
        echo "Database backup error";
        return;
    }

    echo "Backup done";
}

function restore() {
    $output = shell_exec('cp -f configuration.php.bak '.JPATH_BASE.'/configuration.php && echo OK');
    if (empty($output)) {
        echo "Configuration restore error";
        return;
    }

    $conf = JFactory::getConfig();

    $output = shell_exec('mysql -u '.$conf->get('user').' -p'.$conf->get('password').' '.$conf->get('db').' < '.JPATH_BASE.'/tests/system/dump.sql && echo OK');
    if (empty($output)) {
        echo "Database restore error";
        return;
    }

    echo "Restored";
}
